package boids;

public class DirectionEvent {
	private Point from;
	private Point to;
	
	public Point getFrom() {
		return from;
	}
	
	public Point getTo() {
		return to;
	}
	
	public Point getDirection() {
		return to.minus(from);
	}
	
	public void setFrom(Point from) {
		this.from = from;
	}
	
	public void setTo(Point to) {
		this.to = to;
	}

	public DirectionEvent(Point from, Point to) {
		this.from = from;
		this.to = to;
	}
	
}
